Submit RFI documents
curl --request POST \
--url https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileIds": [
"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c"
],
"information": "Invoice for the March engagement"
}
'import requests
url = "https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents"
payload = {
"fileIds": ["3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c"],
"information": "Invoice for the March engagement"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileIds: ['3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c'],
information: 'Invoice for the March engagement'
})
};
fetch('https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileIds' => [
'3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c'
],
'information' => 'Invoice for the March engagement'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents"
payload := strings.NewReader("{\n \"fileIds\": [\n \"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c\"\n ],\n \"information\": \"Invoice for the March engagement\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileIds\": [\n \"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c\"\n ],\n \"information\": \"Invoice for the March engagement\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileIds\": [\n \"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c\"\n ],\n \"information\": \"Invoice for the March engagement\"\n}"
response = http.request(request)
puts response.read_body{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "invalid_request_body",
"message": "<string>"
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Payouts
Submit RFI documents
Respond to a request for information (RFI) on a transaction held for compliance review.
Upload each document first with POST /v1/files/upload-url (purpose compliance-document)
and pass the returned fileId values here. Provide fileIds, information, or both.
Only accepted while the payout is in progress (initiated or routed to a provider).
On success the RFI moves to RFI_PROVIDED and the transaction.rfi.updated webhook fires.
POST
/
v1
/
disbursements
/
{disbursementId}
/
documents
Submit RFI documents
curl --request POST \
--url https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileIds": [
"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c"
],
"information": "Invoice for the March engagement"
}
'import requests
url = "https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents"
payload = {
"fileIds": ["3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c"],
"information": "Invoice for the March engagement"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileIds: ['3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c'],
information: 'Invoice for the March engagement'
})
};
fetch('https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileIds' => [
'3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c'
],
'information' => 'Invoice for the March engagement'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents"
payload := strings.NewReader("{\n \"fileIds\": [\n \"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c\"\n ],\n \"information\": \"Invoice for the March engagement\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileIds\": [\n \"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c\"\n ],\n \"information\": \"Invoice for the March engagement\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cadanapay.com/v1/disbursements/{disbursementId}/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileIds\": [\n \"3f2b8c1e-7a4d-4e5b-9c6a-1d2e3f4a5b6c\"\n ],\n \"information\": \"Invoice for the March engagement\"\n}"
response = http.request(request)
puts response.read_body{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "invalid_request_body",
"message": "<string>"
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Authorizations
Headers
Path Parameters
Body
application/json
Response
Documents submitted for review